(function($) {

	/**
	 * Update main menus status
	 */
	$('.main-nav__link', '#menu-principal').each(function() {
		if (window.location.href.startsWith($(this).attr('data-ams-url'))) {
			$(this).parents('li').first().addClass('main-nav__item--current');
		}
	});

	/**
	 * Update all external links target
	 */
	var base = window.location.protocol + '//' + window.location.host;
	$('a[href]').each(function() {
		var href = $(this).attr('href');
		if (!(href.startsWith('/') || href.startsWith('#') || href.startsWith(base))) {
			$(this).attr('target', '_blank');
		}
	});

	/**
	 * Update SVG images
	 */
	var svgs = $('.svg-container');
	if (svgs.length > 0) {
		svgs.each(function() {
			var container = $(this);
			var svg = $('svg', container),
				width = svg.attr('width'),
				height = svg.attr('height');
			if (width && height) {
				svg.get(0).setAttribute('viewBox',
										'0 0 ' + Math.round(parseFloat(width)) + ' ' +
												 Math.round(parseFloat(height)));
			}
			svg.attr('width', '100%')
			   .attr('height', 'auto');
		})
	}

	/**
	 * Home page video player button
	 */
	var videoBg = $('#homebannerVideoBg');
	if (videoBg.length > 0) {
		var button = $('#videoBgButton');
		var buttonText = $('#videoBgButtonTxt');

		button.on('click', function (e) {
			if (buttonText.hasClass('playing')) {
				videoBg.get(0).pause();
				button.removeClass('homebanner__videoBtn--paused');
				buttonText.removeClass('playing')
						  .text(buttonText.data('onf-play-text'));
			} else {
				videoBg.get(0).play();
				button.addClass('homebanner__videoBtn--paused');
				buttonText.addClass('playing')
						  .text(buttonText.data('onf-stop-text'));
			}
		});
	}

})(jQuery);
